# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ringspace"
version = "0.2.5"
authors = ["Michael Taggart"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Trusted webring management"
homepage = "https://ringspace.net"
readme = "README.md"
license-file = "LICENSE.md"
repository = "https://codeberg.org/mttaggart/ringspace"

[lib]
name = "ringspace"
path = "src/lib.rs"

[[bin]]
name = "ringspace"
path = "src/main.rs"

[[test]]
name = "db"
path = "tests/db.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.clap]
version = "4.5.53"
features = ["derive"]

[dependencies.crypto_box]
version = "0.9.1"
features = [
    "chacha20",
    "seal",
]

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.ed25519-dalek]
version = "2.2.0"
features = [
    "serde",
    "rand_core",
    "pem",
]

[dependencies.futures]
version = "0.3.31"

[dependencies.futures-util]
version = "0.3.31"

[dependencies.hex]
version = "0.4.3"

[dependencies.openssl]
version = "0.10.75"
features = ["vendored"]

[dependencies.reqwest]
version = "0.12.28"
features = ["json"]

[dependencies.rocket]
version = "0.5.1"
features = ["json"]

[dependencies.rocket_cors]
version = "0.6.0"

[dependencies.rocket_dyn_templates]
version = "0.2.0"
features = ["tera"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.148"

[dependencies.sha2]
version = "0.10.9"

[dependencies.sqlx]
version = "0.8.6"
features = [
    "runtime-tokio",
    "sqlite",
]

[dependencies.time]
version = "0.3.44"
features = ["macros"]

[dependencies.tokio]
version = "1.48.0"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.uuid]
version = "1.19.0"
features = [
    "serde",
    "v4",
]
